Subject: AW: AW: [nemo] WG: [mobile-ip] new I-D on HA filtering

From: "Koojana Kuladinithi" <[email-masked]>
Date: Fri, 1 Aug 2003 12:56:54 +0200

Hi Ken, Thomas & all

First of all, I was not able to check my mails last days. Sorry for delay in
replying.

> >> > Hi Koojana, All,
> >> > >
> >> > > Perhaps, we should initiate a discussion in mobile-ip or nemo WG to
> >> discuss
> >> > >
> >> > > about this topic.
> >> > >
> >> > I Agree with you, we have now several drafts and it will be
> interesting
> >> > to converge towards an unique solution to solve this issue.
> >>
> >> Can we discuss filters/policies and multipleCoAs registration
> separately?
> 
> >> IMHO, Multiple CoAs and Flow Distributions should be discussed
> together. The
> 
> >> reason is because once multiple CoAs are available, the natural
> requirement
> >> that follows would be to use these points of attachments efficiently.
> 
> I think we discuss filters/policies and multiple CoAs registration
> separately. Because they are independent and separate discussion is
> more simple.
> 
> The following is example for independency.
> 1. When CoAs are not changed but filters/policies need to be changed,
>    MN want to change filters/policies only.

This aspect is true. But, when there are multiple CoAs, flow distribution
should naturally be present, instead of using one CoA or multiplying packets
to each CoA.

> It is ok for me that multiple CoA registration objects and
> filters/policies objects are transfered in the same packet,
> because it is efficient way.
> But a discussion of multiple CoAs and filters/policies needs to be
> separate.

Our focus (as defined in
http://www.ietf.org/internet-drafts/draft-nomadv6-mobileip-filters-00.txt)
is to keep multiple CoA registrations without duplicating traffic to each
active Point of Attachments. For this, we use a flow distribution mechanism.

I believe, multiple CoA registration & filters/policies go together. 
Anyway, as Thomas mentioned we have to define clearly what issues we would 
like to solve.

Kind regards

Koojana

---

From: Ken Nagami <[email-masked]>
Date: Mon, 04 Aug 2003 21:43:39 +0900

Koojana, Thomas and all, 

>> MN want to change filters/policies only.

K> This aspect is true. But, when there are multiple CoAs, flow distribution
K> should naturally be present, instead of using one CoA or multiplying packets
K> to each CoA.

>> But a discussion of multiple CoAs and filters/policies needs to be

K> Our focus (as defined in
K> http://www.ietf.org/internet-drafts/draft-nomadv6-mobileip-filters-00.txt)
K> is to keep multiple CoA registrations without duplicating traffic to each
K> active Point of Attachments. For this, we use a flow distribution mechanism.

K> I believe, multiple CoA registration & filters/policies go together. 

I would like to know why you believe they go together?

K> Anyway, as Thomas mentioned we have to define clearly what issues we would 
K> like to solve.

Agreed.

Regards,
Ken Nagami

---

From: "Koojana Kuladinithi" <[email-masked]>
Date: Mon, 4 Aug 2003 15:19:13 +0200

Hi Ken

> I would like to know why you believe they go together?

If we consider multiple CoAs, we SHOULD think how HA or CN forward traffic
to different CoAs of MN. Then, we can apply filters/policies for this
purpose. For ex, MIPv4 considers simultaneous bindings, but no body (as far
as I know) uses that concept (Enabling s bit in Registration Request), since
it leads to duplicate traffic to all active point of attachment.